Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion

From: Gregory Heytings <[email-masked]>
Date: Fri, 03 Feb 2023 22:33:22 +0000

>
> I've played with this idea, and the appended patch makes it work, 
> indeed. I had to adapt expand-file-name, file-exists-p, 
> file-name-directory and file-name-nondirectory, but the changes look 
> simple. It works for me now for the default completion styles (basic 
> partial-completion emacs22) as well as for fido-mode, with both the 
> default and simplified Tramp syntax.
>

Congratulations, that seems to work correctly indeed.  It fixes the bug in 
Tramp, but not in the way I suggested, so I guess everyone is happy now.

One minor problem:

emacs -Q -l tramp
C-x C-f / TAB

displays "-:" in the completion candidates.